
using System;

namespace zero
{

	namespace netboot
	{
		public class IsoInfo
		{
			public int id;
			public string fileName;
			public string version;
			public string date;
			public bool enabled;
			
			
			
			
			public IsoInfo (int id, string file_name, string version, string date, bool enabled)
			{
				this.id=id;
				this.fileName=file_name;
				this.version=version;
				this.date=date;
				this.enabled=enabled;
				
			}
			
			public static IsoInfo getInfo(string id)
			{
				foreach(IsoInfo info in zero.netboot.Core.getCore().isoList)
				{
					if(Convert.ToInt32(id)==info.id)
					{
						return info;	
					}
				}
				
				return null;
				
				
			}
			
		}
	}
}
